- [HTTP request](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.request_body)
- [Response body](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.response_body)
- [Authorization scopes](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.aspect)
- [IAM Permissions](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#body.aspect_1)
- [Examples](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#examples)
- [Try it!](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/create#try-it)

Creates a subscription for a specific user to a specific subscriber. This method requires the subscriber to have a `SubscriptionCreatePolicy` set to `MANUAL` for the given data types.

### HTTP request

`POST https://health.googleapis.com/v4/{parent=projects/*/subscribers/*}/subscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax. To know more about valid error responses that can be thrown by this HTTP request, please refer to the [service error catalog](https://developers.google.com/health/reference/rest/v4/errors)

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent subscriber. Format: projects/{project}/subscribers/{subscriber} The {subscriber} ID is user-settable (4-36 characters, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/[a-z0-9-]{2,34}[a-z0-9])/) if provided during creation, or system-generated otherwise. It takes the form `projects/{project}/subscribers/{subscriber}`. |

### Query parameters

| Parameters ||
|---|---|
| `subscriptionId` | `string` Optional. The {subscriptionId} is user-settable (4-36 chars, matching /[a-z](https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions/[a-z0-9-]{2,34}[a-z0-9])/) or system-generated otherwise. If provided, the ID must be unique within the parent subscriber. |

### Request body

The request body contains an instance of `https://developers.google.com/health/reference/rest/v4/projects.subscribers.subscriptions#CreateSubscriptionPayload`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/health/reference/rest/v4/Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `health.subscriptions.create`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).